// This post screen shader creates a nice night vision effect
vs.1.1

// This constant is needed for calculating the brightness of a color (through 
// a dotproduct)
def c1, 0.33f, 0.33f, 0.33f, 1.0f

// Pass the vertex position
mov oPos, v0
// Pass the scene texture coordinate
mov oT0, v7
// Pass the value that's needed for the brightness calculation in the pixel 
// shader
mov oT1, c1
// Compute the texture coordinate for the noise texture
mad oT2.xy, v8.xy, c0.xy, c0.zw
// Pass the texture coordinate for the light map
mov oT3, v8
